VideoMyJob currently supports iOS 9 and above, Android OS 5.1 and above. The minimum OS requirement is regularly lifted so we advise that devices are kept up-to-date.

Devices that do not support HD 720p footage will not work with VideoMyJob, devices released two or more years ago will have difficulties processing HD content and we do not recommend using them with VideoMyJob. 

VideoMyJob does not support Blackberry devices.

Did this answer your question?